# class hk_kdecsvimportdialog

KDE Widget frontend to import CSV data. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdecsvimportdialog.h>`
Inherits | hk_importcsv [public ], hk_kdecsvimportdialogbase (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdecsvimportdialog ( QWidget* parent = 0, const char* name = 0, bool modal = false, WFlags fl = 0 )
- ~hk_kdecsvimportdialog ()

#### Protected Methods

- virtual bool widget_specific_after_new_row (void)

#### Protected Slots

- virtual void filebutton_clicked ()
- virtual void buttons_enabled ()
- virtual void ok_clicked (void)
- void printing_cancelled (void)

## Detailed Description

hk_kdecsvimportdialog ( QWidget* parent = 0, const char* name = 0, bool modal = false, WFlags fl = 0 )

### hk_kdecsvimportdialog

~hk_kdecsvimportdialog ()

### ~hk_kdecsvimportdialog

void filebutton_clicked ()

### filebutton_clicked

[protected slots virtual slot]

void buttons_enabled ()

### buttons_enabled

[protected slots virtual slot]

void ok_clicked (void)

### ok_clicked

[protected slots virtual slot]

void printing_cancelled (void)

### printing_cancelled

[protected slots slot]

bool widget_specific_after_new_row (void)

### widget_specific_after_new_row

[protected virtual]

Reimplemented from hk_importcsv.

- Version: $Revision: 1.9 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.